Subject: Re: bug#59802: 30.0.50; Checkbox button not rendered

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Dec 2022 20:38:21 +0200

> From: Manuel Giraud <[email-masked]>
> Cc: Stephen Berman <[email-masked]>,  [email-masked]
> Date: Sat, 10 Dec 2022 18:57:50 +0100
> 
> > As for the misalignment, I'm guessing that your librsvg is newer than
> > mine, so it supports scaling the SVG images as you scale text.  My
> > librsvg doesn't support that, and so the SVG image remains aligned
> > with the XPM one, slightly lower than the baseline of the text (which
> > could probably controlled by the :ascent property of the image, if
> > that is a problem).
> 
> You might be onto something here.  What is your librsvg version?  Mine
> is 2.54.2.

I use 2.40.1.

> > Manuel, if this is what you see, then try playing with :ascent.  E.g.,
> > did you try to use ":ascent 'center"?
> 
> The display text property for those checkboxes already have an ":ascent
> 'center":
> --8<---------------cut here---------------start------------->8---
> (image :type svg :file
> "/home/manuel/emacs/share/emacs/30.0.50/etc/images/checked.svg" :scale
> 1.1094117647058823 :transform-smoothing t :ascent center)
> --8<---------------cut here---------------end--------------->8---

And if you use :ascent 0 does it have any effect?